States
States represent provinces or states within a country, used in addresses.
Use the Datastore_State endpoint to query states.
Endpoints
List States
GET
/v1/odata/Datastore_StateSingle State
GET
/v1/odata/Datastore_State({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Address | Address | 1:N | Address |
| Country | Datastore_Country | N:1 | Country |
Expanding Relationships
GET
/v1/odata/Datastore_State({id})?$expand=AddressNavigating Relationships
GET
/v1/odata/Datastore_State({id})/AddressFiltering Examples
GET
/v1/odata/Datastore_State?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_State?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_State?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_State?$filter=IsDefault eq {IsDefault}&$top={top}